Zum Hauptinhalt springen
GET
/
files
/
v3
/
folders
/
update
/
async
/
tasks
/
{taskId}
/
status
Check folder update status
curl --request GET \
  --url https://api.hubapi.com/files/v3/folders/update/async/tasks/{taskId}/status \
  --header 'Authorization: Bearer <token>'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "taskId": "<string>",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z",
  "result": {
    "archived": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z",
    "archivedAt": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "parentFolderId": "<string>",
    "path": "<string>"
  }
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

taskId
string
erforderlich

TaskId of folder update

Antwort

successful operation

completedAt
string<date-time>
erforderlich

When the requested changes have been completed.

startedAt
string<date-time>
erforderlich

Timestamp representing when the task was started at.

status
enum<string>
erforderlich

Current status of the task.

Verfügbare Optionen:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
taskId
string
erforderlich

ID of the task.

errors
object[]

Detailed errors resulting from the task.

Link to check the status of the task.

numErrors
integer<int32>

Number of errors resulting from the requested changes.

requestedAt
string<date-time>

Timestamp representing when the task was requested.

result
object
Last modified on April 9, 2026